TILESTACHE-COMPOSE(1)

NAME
tilestache-compose - set a map coverage area

SYNOPSIS
tilestache-compose [options] file...

DESCRIPTION
This manual page documents briefly the tilestache-compose command.

There are three ways to set a map coverage area.

1) Center, zoom, and dimensions: create a map of the specified size, centered on a given geographical point at a given zoom level:

   tilestache-compose.py -c config.json -l layer-name -d 800 800 -n 37.8 -122.3 -z 11 out.jpg

2) Extent and dimensions: create a map of the specified size that adequately covers the given geographical extent:

   tilestache-compose.py -c config.json -l layer-name -d 800 800 -e 36.9 -123.5 38.9 -121.2 out.png

3) Extent and zoom: create a map at the given zoom level that covers the precise geographical extent, at whatever pixel size is necessary:

   tilestache-compose.py -c config.json -l layer-name -e 36.9 -123.5 38.9 -121.2 -z 9 out.jpg

OPTIONS

-c, --config file
    Path to configuration file.

-l, --layer layer
    Layer name from configuration.

-n, --center lat lon
    Geographic center of map.

-e, --extent lat lon lat lon
    Geographic extent of map.

-z, --zoom level
    Zoom level.

-d, --dimensions width height
    Pixel width, height of output image.

-v, --verbose
    Make a bunch of noise.

-i, --include-paths paths
    Add the following colon-separated list of paths to Python's include path (aka sys.path)

-x, --ignore-cached
    Re-render every tile, whether it is in the cache already or not.

-h, --help
    Show summary of options.

AUTHOR
TileStache was written by Michal Migurski <mike@stamen.com>.